package com.jxtech.jxudp.platform.comp.bean.jaxb;

import com.jxtech.jxudp.base.exception.BomfException;
import com.jxtech.jxudp.platform.cache.CacheExtends;
import com.jxtech.jxudp.platform.comp.bean.jaxb.BeanJAXBUtilUnmarshalListener;
import com.jxtech.jxudp.platform.comp.bomf.manager.IBomfManager;
import com.jxtech.jxudp.platform.security.util.OnLineTokenVO;
import com.jxtech.jxudp.platform.util.DOMTool;
import com.jxtech.jxudp.platform.util.StrTool;
import com.jxtech.jxudp.schema.bean.Bean;
import com.jxtech.jxudp.schema.bean.Sql;
import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.io.StringReader;
import java.io.StringWriter;
import java.util.Optional;
import java.util.function.Consumer;
import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Marshaller;
import javax.xml.bind.Unmarshaller;
import javax.xml.validation.Schema;
import javax.xml.validation.SchemaFactory;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.util.Assert;
import org.w3c.dom.Document;
import org.w3c.dom.Element;

public final class BeanJAXBUtil {

   private static Schema sch;
   private static Logger log = LoggerFactory.getLogger(BeanJAXBUtil.class);
   private static IBomfManager bomfManager;


   public static Object unmarshal(InputStream stream, String packdir, Class type, String nameSpace, String fileName) {
      try {
         Unmarshaller a = JAXBContext.newInstance(packdir, StrTool.class.getClassLoader()).createUnmarshaller();
         if(sch == null) {
            try {
               sch = SchemaFactory.newInstance(CacheExtends.pPPppp("q-m)#v6.n.7.*wv+~v+i)h6\u0001T\u0015J:q<t8")).newSchema(BeanJAXBUtil.class.getResource(OnLineTokenVO.pPPppp("4`x{~~z<Y|vuYvz}Hpsvvr5khw")));
            } catch (Exception var10) {
               log.warn((new StringBuilder()).insert(0, fileName).append(CacheExtends.pPPppp("宠庍盝a4u覺釓镀诶yb$")).toString(), var10.getMessage());
            }
         }

         Optional.ofNullable(bomfManager).ifPresent((param2) -> {
            if(a1.getPlatForm().isCheckSchema()) {
               a.setSchema(sch);
            }

         });
         Object var10000 = stream;
         BeanJAXBUtilUnmarshalListener var10002 = new BeanJAXBUtilUnmarshalListener;
         a.<init>(nameSpace, bomfManager);
         var10002.setListener(a);
         Document a1 = DOMTool.loadDocumentFromInputStreamWithNameSpace(a);

         try {
            stream.close();
         } catch (IOException var11) {
            log.error(var11.getMessage(), var11);
            var10000 = a1;
         }

         Assert.notNull(var10000, (new StringBuilder()).insert(0, fileName).append(OnLineTokenVO.pPPppp("寢庇皟kv\u007f觸釙锂诼")).toString());
         Element a2 = a1.getDocumentElement();
         Object a3 = a.unmarshal(a2, type).getValue();
         return a3;
      } catch (JAXBException var12) {
         throw new BomfException(var12.getMessage(), var12);
      }
   }

   public static void main(String[] args) throws JAXBException {
      System.out.println("");
      Class[] var10000 = new Class[1];
      boolean var10002 = true;
      ((Object[])true)[0] = (boolean)Bean.class;
      Unmarshaller a = JAXBContext.newInstance(true).createUnmarshaller();
      File var4 = new File;
      a.<init>(OnLineTokenVO.pPPppp("X)G`tfip~OqknwkOqknwkpt~kOhvie~aG|itG`ipG~zzuOivh|naxvhOx|uurtG|itGq~ruO_rorzfo{Tqqvxg5kv\u007f"));
      Object a1 = var4.unmarshal(a);
      System.out.print(a1);
   }

   public static void marshal(Object obj, String schemaPath, OutputStream fo) throws Exception {
      Class[] var10000 = new Class[1];
      boolean var10002 = true;
      ((Object[])true)[0] = (boolean)obj.getClass();
      Marshaller a = JAXBContext.newInstance(true).createMarshaller();
      a.setProperty(CacheExtends.pPPppp("3x!{w\u007f6k4x-m<}wv,m)l-"), Boolean.valueOf(true));
      a.setProperty(OnLineTokenVO.pPPppp("yzky=~}x|\u007fzut"), "utf-8");
      a.setProperty(CacheExtends.pPPppp("s8a;77v\u0017x4|*i8z<J:q<t8U6z8m0v7"), schemaPath);
      a.marshal(obj, fo);
   }

   public static Sql unmarshalSql(String template) throws JAXBException {
      Class[] var10000 = new Class[1];
      boolean var10002 = true;
      ((Object[])true)[0] = (boolean)Sql.class;
      Unmarshaller a = JAXBContext.newInstance(true).createUnmarshaller();
      String a1 = CacheExtends.pPPppp("%*h59!t5w*#!j0${q-m)#v6.n.7.*wv+~v+i)h6\u0001T\u0015J:q<t840w*m8w:|{9!t5w*${q-m)#v6.n.73a-|:qwz6tvj:q<t86;|8w{9!j0#*z1|4x\u0015v:x-p6wd;1m-ic6vn.nws!m<z17:v46*z1|4xv{<x791m-ic6vn.nws!m<z17:v46*z1|4xv{<x7;g");
      StringReader var5 = new StringReader;
      a.<init>((new StringBuilder()).insert(0, a1).append(template).append(OnLineTokenVO.pPPppp("\'<hbw-")).toString());
      Object a2;
      if((a2 = var5.unmarshal(a)) instanceof JAXBElement) {
         a2 = ((JAXBElement)a2).getValue();
      }

      return (Sql)a2;
   }

   public static String marshalToString(Object obj, String schemaPath) throws Exception {
      Class[] var10000 = new Class[1];
      boolean var10002 = true;
      ((Object[])true)[0] = (boolean)obj.getClass();
      Marshaller a = JAXBContext.newInstance(true).createMarshaller();
      a.setProperty(OnLineTokenVO.pPPppp("yzky=}|i~zgov\u007f=tfocng"), Boolean.valueOf(true));
      a.setProperty(CacheExtends.pPPppp("3x!{w|7z6}0w>"), "utf-8");
      a.setProperty(OnLineTokenVO.pPPppp("qrcq5}t]z~~`krxvHpsvvrW|xrozt}"), schemaPath);
      StringWriter a1 = new StringWriter();
      a.marshal(obj, a1);
      String a2 = a1.toString();
      a1.close();
      return a2;
   }

   public static void setBomfManager(IBomfManager value) {
      bomfManager = value;
   }

}
